ubuntu 16.04 第三方软件安装 依赖包

安装ubuntu 16.04,安装有道词典,需要依赖gstreamer0.10-plugins-ugly
可是它又不支持,解决办法就是删除安装包中对gstreamer0.10-plugins-ugly
的依赖部分

1.将安装包解压  apkg -X  xxx-xxx.deb  

2.将安装包中的control信息写入你指定的地方

apkg-e xxx-xxx.deb youdao/derict

3.进入dirict目录然后编辑contorl文件,删除依赖的部分gstreamer0.10-plugins-ugly

4.从新开始打包 dpkg-deb -b youdao   youdaoNew.deb

5.重新安装youdaoNew.deb  dpkg-i youdaoNew.deb


推荐阅读更多精彩内容